### Method

# Gtk SymbolicPaintable snapshot_symbolic

#### Declaration [src]

    void
    gtk_symbolic_paintable_snapshot_symbolic (
      GtkSymbolicPaintable* paintable,
      GdkSnapshot* snapshot,
      double width,
      double height,
      const GdkRGBA* colors,
      gsize n_colors
    )

#### Description [src]

Snapshots the paintable with the given colors.

If less than 4 colors are provided, GTK will pad the array with default colors.

Available since: | 4.6

#### Parameters

`snapshot` | `GdkSnapshot`
| A `GdkSnapshot` to snapshot to.
| The data is owned by the caller of the function.
`width` | `double`
| Width to snapshot in.
`height` | `double`
| Height to snapshot in.
`colors` | An array of `GdkRGBA`
| A pointer to an array of colors.
| The length of the array is specified in the `n_colors` argument.
| The data is owned by the caller of the function.
`n_colors` | `gsize`
| The number of colors.